%define upstream_name	 Class-Autouse
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run-time class loading on first method call in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(List::Util) >= 1.180.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Class::Autouse allows you to specify a class that will only load when a method
of that class is called. For large classes that might not be used during the
running of a program, such as Date::Manip, this can save you large amounts of
memory, and decrease the script load time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find lib -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-2.mga3
+ Revision: 364272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 2.10.0-1.mga2
+ Revision: 212122
- update to 2.01

* Wed Feb 16 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 52302
- update to 2.00

* Fri Jan 21 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 29881
- mageia rebuild
- imported package perl-Class-Autouse

